%define majver %(echo %version | cut -d. -f1-2)
Name:          mutter
Version:       3.18.2
Release:       1mamba
Summary:       A compositing window manager based on Metacity
Group:         Graphical Desktop/Libraries/GNOME
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org
Source:        ftp://ftp.gnome.org/pub/gnome/sources/mutter/%{majver}/mutter-%{version}.tar.xz
Patch0:        mutter-3.14.1-gcc-4.9.patch
Patch1:        mutter-3.14.2-build-fix-x86.patch
Patch2:        mutter-3.16.1.1-gcc-4.9.2.patch
Patch3:        mutter-3.18.2-missing_math_header.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: libGL-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libatk-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcanberra-devel
BuildRequires: libcap-devel
BuildRequires: libclutter-devel
BuildRequires: libcogl-devel
BuildRequires: libdrm-devel
BuildRequires: libdw-devel
BuildRequires: libevdev-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgbm-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libgudev-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libinput-devel
BuildRequires: libjson-glib-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libmtdev-devel
BuildRequires: libogg-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libsystemd-devel
BuildRequires: libtdb-devel
BuildRequires: libthai-devel
BuildRequires: libudev-devel
BuildRequires: libupower-devel
BuildRequires: libuuid-devel
BuildRequires: libvorbis-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbfile-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libcogl-devel >= 1.18
BuildRequires: libgnome-desktop-devel >= %{majver}
BuildRequires: upower-devel >= 0.99
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Mutter is a compositing window manager based on Metacity.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
%ifnarch x86_64
   CFLAGS="-Wno-error=sign-compare"
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/mutter
#%{_bindir}/mutter-message
#%{_bindir}/mutter-theme-viewer
#%{_bindir}/mutter-window-demo
%{_datadir}/applications/mutter.desktop
%{_datadir}/applications/mutter-wayland.desktop
#%{_datadir}/mutter/icons/mutter-window-demo.png
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.wayland.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/gnome-control-center/keybindings/50-mutter-*.xml
#%{_datadir}/gnome/wm-properties/mutter-wm.desktop
#%{_mandir}/man1/mutter-message.1.gz
#%{_mandir}/man1/mutter-theme-viewer.1.gz
#%{_mandir}/man1/mutter-window-demo.1.gz
%{_mandir}/man1/mutter.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmutter.so.*
%dir %{_libdir}/mutter
%dir %{_libdir}/mutter/plugins
%{_libdir}/mutter/plugins/default.so
%{_libdir}/mutter/Meta-3.0.typelib
%{_libexecdir}/mutter-restart-helper
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/mutter
%dir %{_includedir}/mutter/meta
%{_includedir}/mutter/meta/*.h
#%{_libdir}/libmutter.a
%{_libdir}/libmutter.la
%{_libdir}/libmutter.so
%{_libdir}/mutter/Meta-3.0.gir
%{_libdir}/pkgconfig/libmutter.pc
#%{_libdir}/pkgconfig/mutter-plugins.pc
%doc NEWS

#%files apidocs
#%defattr(-,root,root)
#%{_datadir}/gtk-doc/html/meta/*

%changelog
* Mon Nov 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.2-1mamba
- update to 3.18.2

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Fri May 15 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu Apr 30 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1.1-1mamba
- automatic version update by autodist

* Thu Apr 02 2015 Automatic Build System <autodist@mambasoft.it> 3.14.4-1mamba
- automatic update by autodist

* Sun Dec 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.3-1mamba
- update to 3.14.3

* Sat Nov 22 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic update by autodist

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.1-1mamba
- update to 3.14.1

* Wed Jun 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.2-1mamba
- update to 3.12.2

* Thu Feb 20 2014 Automatic Build System <autodist@mambasoft.it> 3.10.4-1mamba
- automatic version update by autodist

* Sun Jan 19 2014 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Thu Nov 14 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Mon Nov 04 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1.1-1mamba
- automatic version update by autodist

* Mon Aug 12 2013 Automatic Build System <autodist@mambasoft.it> 3.9.5-1mamba
- automatic update by autodist

* Mon Jun 24 2013 Automatic Build System <autodist@mambasoft.it> 3.9.3-1mamba
- automatic version update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 3.9.2-1mamba
- automatic version update by autodist

* Wed May 01 2013 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Apr 10 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Fri Nov 23 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- update to 3.6.0

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-2mamba
- move typelib file from libmutter-devel to libmutter package

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-1mamba
- package created by autospec
